# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Thu May 11 11:54:18 2023
# ------------------------------------------------

package:
  name: gmtk
  version: 1.4.4
source:
  md5: aba3b8d26f5308ec21c1f2364263d132
  url: https://depot.galaxyproject.org/software/gmtk/gmtk_1.4.4_src_all.tar.gz
build:
  number: '10'
  string: h0326b38_10
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_13
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_13
    - gxx_impl_linux-64 10.4.0 h5231bdf_19
    - gxx_linux-64 10.4.0 h6e491c6_13
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libsanitizer 10.4.0 h5246dfb_19
    - libstdcxx-devel_linux-64 10.4.0 hd38fd1e_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - make 4.3 hd18ef5c_1
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2023.5.7 hbcca054_0
    - hdf5 1.12.1 nompi_h4df4325_104
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.20.1 h81ceb04_0
    - libcurl 8.0.1 h588be90_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libgcc-ng 12.2.0 h65d4601_19
    - libgfortran-ng 12.2.0 h69a702a_19
    - libgfortran5 12.2.0 h337968e_19
    - libgomp 12.2.0 h65d4601_19
    - libnghttp2 1.52.0 h61bc06f_0
    - libssh2 1.10.0 hf14f497_3
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.1.0 hd590300_3
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h3eb15da_6
  run:
    - gxx_linux-64 10.*
    - hdf5 >=1.12.1,<1.12.2.0a0
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<1.3.0a0
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - gmtkPrint -version
about:
  home: http://melodi.ee.washington.edu/gmtk/
  license: OSL-3.0
  summary: A publicly available toolkit for rapidly prototyping statistical models
    using dynamic graphical models (DGMs) and dynamic Bayesian networks (DBNs)
extra:
  copy_test_source_files: true
  final: true
  skip-lints:
    - compilers_must_be_in_build
